## vlfeat 0.9.21+full

=== debian/changelog ===
vlfeat (0.9.21+full-4) unstable; urgency=medium

  * Team upload.
  * d/rules: Simplify obtaining the Octave library directory path
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 18:01:58 -0300

vlfeat (0.9.21+full-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Add path for Octave libraries.
    This is necessary for having the package compiling against Octave
    version 10, otherwise dpkg-shlibdeps will not find the new library
    liboctmex. (Closes: #1114618)
  * d/libvlfeat1t64.install: Make file executable, otherwise dh-exec does
    not work
  * d/copyright: Update Copyright years for debian/* files
  * Bump to Debhelper compatibility level 13
    + d/control: Add versioned build-dependency on debhelper-compat (= 13)
    + d/compat: Drop file
  * d/control, d/copyright: Use secure URIs
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Make short descriptions of the binary packages unique
    + Lower case of first word of short description
  * d/p/0018-Fixed-build-on-gcc-9.patch: Fix spelling mistake in description

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 Sep 2025 05:19:47 -0300

vlfeat (0.9.21+full-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063050

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:17:05 +0000

vlfeat (0.9.21+full-2) unstable; urgency=medium

  * Build requires the full imagemagick (Closes: #1037988). Thanks to
    Rafael Laboissière <rafael@debian.org>
  * More thorough build cleanup (Closes: #1046145)

 -- Dima Kogan <dkogan@debian.org>  Sat, 27 Jan 2024 14:26:12 -0800

vlfeat (0.9.21+full-1) unstable; urgency=medium

  * Re-added SIFT. The patent has expired
  * We Build-Depend on octave-dev (Closes: #1014143)

 -- Dima Kogan <dkogan@debian.org>  Thu, 07 Jul 2022 10:02:19 -0700
