=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/(?:\+dfsg|\+repack|\+full).*$//
Owner: vlfeat
Project: vlfeat
